package com.ruoyi.system.domain.grid;

import com.ruoyi.system.domain.system.SysOtherappAttachment;

import java.io.Serializable;
import java.util.List;

public class GridPublicOpinions implements Serializable {
    private String id;

    /**
     * 联系服务时间
     *
     * @mbg.generated
     */
    private String serviceTime;

    /**
     * 联系服务人，取系统网格员realname
     *
     * @mbg.generated
     */
    private String serviceName;

    /**
     * 人口id
     *
     * @mbg.generated
     */
    private String peopleId;

    /**
     * 服务对象，取当前人口名字
     *
     * @mbg.generated
     */
    private String personName;

    /**
     * 服务说明
     *
     * @mbg.generated
     */
    private String content;

    /**
     * 所属地块wgCode
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 所属地块
     *
     * @mbg.generated
     */
    private String wgValue;

    /**
     * 所属村社区
     *
     * @mbg.generated
     */
    private String country;

    /**
     * 网格员userId
     *
     * @mbg.generated
     */
    private String createId;

    private String createTime;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 中文地址
     *
     * @mbg.generated
     */
    private String address;

    private List<SysOtherappAttachment> attachmentList;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getServiceTime() {
        return serviceTime;
    }

    public void setServiceTime(String serviceTime) {
        this.serviceTime = serviceTime;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getPeopleId() {
        return peopleId;
    }

    public void setPeopleId(String peopleId) {
        this.peopleId = peopleId;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getWgValue() {
        return wgValue;
    }

    public void setWgValue(String wgValue) {
        this.wgValue = wgValue;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<SysOtherappAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<SysOtherappAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", serviceTime=").append(serviceTime);
        sb.append(", serviceName=").append(serviceName);
        sb.append(", peopleId=").append(peopleId);
        sb.append(", personName=").append(personName);
        sb.append(", content=").append(content);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", wgValue=").append(wgValue);
        sb.append(", country=").append(country);
        sb.append(", createId=").append(createId);
        sb.append(", createTime=").append(createTime);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", address=").append(address);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridPublicOpinions other = (GridPublicOpinions) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getServiceTime() == null ? other.getServiceTime() == null : this.getServiceTime().equals(other.getServiceTime()))
            && (this.getServiceName() == null ? other.getServiceName() == null : this.getServiceName().equals(other.getServiceName()))
            && (this.getPeopleId() == null ? other.getPeopleId() == null : this.getPeopleId().equals(other.getPeopleId()))
            && (this.getPersonName() == null ? other.getPersonName() == null : this.getPersonName().equals(other.getPersonName()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getWgValue() == null ? other.getWgValue() == null : this.getWgValue().equals(other.getWgValue()))
            && (this.getCountry() == null ? other.getCountry() == null : this.getCountry().equals(other.getCountry()))
            && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getServiceTime() == null) ? 0 : getServiceTime().hashCode());
        result = prime * result + ((getServiceName() == null) ? 0 : getServiceName().hashCode());
        result = prime * result + ((getPeopleId() == null) ? 0 : getPeopleId().hashCode());
        result = prime * result + ((getPersonName() == null) ? 0 : getPersonName().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getWgValue() == null) ? 0 : getWgValue().hashCode());
        result = prime * result + ((getCountry() == null) ? 0 : getCountry().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        return result;
    }
}
